cabal-install-solver-3.12.1.0: The command-line interface for Cabal and Hackage.

Safe Haskell | None
Language | Haskell2010

Distribution.Solver.Modular.Log

Synopsis

- displayLogMessages :: Bool -> RetryLog Message SolverFailure a -> RetryLog String SolverFailure a
- data SolverFailure
  - = ExhaustiveSearch ConflictSet ConflictMap
  - | BackjumpLimitReached

# Documentation

displayLogMessages :: Bool -> RetryLog Message SolverFailure a -> RetryLog String SolverFailure a #

Postprocesses a log file. This function discards all log messages and avoids calling `showMessages` if the log isn't needed (specified by `keepLog`), for efficiency.

data SolverFailure #

Information about a dependency solver failure.

Constructors

ExhaustiveSearch ConflictSet ConflictMap |
BackjumpLimitReached |